/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\Halloween Event\Halloween Items\Boss Rewards\HalloweenRewards.cs
Lines of code: 43
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class BagOfHalloweenRewards : Bag
	{

		[Constructable]
		public BagOfHalloweenRewards()
		{
		                                 
			DropItem( new SpookyLantern(1) ); 			
			DropItem( new PetParrotStatue (Utility.RandomList(41, 495, 567, 48, 131, 75, 1001, 1169, 1155, 1164, 1160, 1162, 2210, 1324, 1157, 1364, 1156, 2101))); 
			
				
			for (int n = 0; n < 4; n++)
			{
				switch (Utility.Random(9))
				{
					case 0: DropItem( new Taint(1));break;
					case 1: DropItem( new Muculent(1));break;
					case 2: DropItem( new Corruption(1));break;      		
					case 3: DropItem( new Blight(1));break;
					case 4: DropItem( new Scourge(1));break;
					case 5: DropItem( new Putrefaction(1));break;
					case 6: DropItem( new BlackCatSummoner()); break;
					case 7: DropItem( new EvilFireworksWand()); break;
					case 8: DropItem( new SpookyLantern()); break;
				}			
			}
					
					
		}

		public BagOfHalloweenRewards( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}


